__gnu_pbds::lu_move_to_front_policy< _Alloc >(3cxx)

NAME
__gnu_pbds::lu_move_to_front_policy< _Alloc >

SYNOPSIS

  Public Types

typedef _Alloc allocator_type
typedef detail::rebind_traits< _Alloc, metadata_type >::reference metadata_reference
Reference to metadata on which this functor operates.
typedef null_type metadata_type
Metadata on which this functor operates.

  Public Member Functions

metadata_type operator() () const
Creates a metadata object.
bool operator() (metadata_reference r_metadata) const
Decides whether a metadata object should be moved to the front of the list.

Detailed Description

  template<typename _Alloc = std::allocator<char>>
class __gnu_pbds::lu_move_to_front_policy< _Alloc >" A list-update policy that unconditionally moves elements to the front of the list. A null type means that each link in a list-based container does not actually need metadata.

Member Typedef Documentation

  template<typename _Alloc = std::allocator<char>> typedef detail::rebind_traits<_Alloc, metadata_type>::reference __gnu_pbds::lu_move_to_front_policy< _Alloc >::metadata_reference

Reference to metadata on which this functor operates.

  template<typename _Alloc = std::allocator<char>> typedef null_type __gnu_pbds::lu_move_to_front_policy< _Alloc >::metadata_type

Metadata on which this functor operates.

Member Function Documentation

  template<typename _Alloc = std::allocator<char>> metadata_type __gnu_pbds::lu_move_to_front_policy< _Alloc >::operator() () const [inline]

Creates a metadata object.

  template<typename _Alloc = std::allocator<char>> bool __gnu_pbds::lu_move_to_front_policy< _Alloc >::operator() (metadata_reference r_metadata) const [inline]

Decides whether a metadata object should be moved to the front of the list.

Author

Generated automatically by Doxygen for libstdc++ from the source code.